### Hierarchy

- ObjectDetection
  - FaceDetection

## Index

### Constructors

- constructor

### Accessors

- box
- className
- classScore
- imageDims
- imageHeight
- imageWidth
- relativeBox
- score

### Methods

- forSize

## Constructors

### constructor

- new ObjectDetection(score: number, classScore: number, className: string, relativeBox: IRect, imageDims: IDimensions): ObjectDetection

- - Defined in classes/ObjectDetection.ts:14

  #### Parameters

  - ##### score: number

  - ##### classScore: number

  - ##### className: string

  - ##### relativeBox: IRect

  - ##### imageDims: IDimensions

  #### Returns ObjectDetection

## Accessors

### box

- get box(): Box<any>

- - Defined in classes/ObjectDetection.ts:36

  #### Returns Box<any>

### className

- get className(): string

- - Defined in classes/ObjectDetection.ts:34

  #### Returns string

### classScore

- get classScore(): number

- - Defined in classes/ObjectDetection.ts:32

  #### Returns number

### imageDims

- get imageDims(): Dimensions

- - Defined in classes/ObjectDetection.ts:38

  #### Returns Dimensions

### imageHeight

- get imageHeight(): number

- - Defined in classes/ObjectDetection.ts:42

  #### Returns number

### imageWidth

- get imageWidth(): number

- - Defined in classes/ObjectDetection.ts:40

  #### Returns number

### relativeBox

- get relativeBox(): Box<any>

- - Defined in classes/ObjectDetection.ts:44

  #### Returns Box<any>

### score

- get score(): number

- - Defined in classes/ObjectDetection.ts:30

  #### Returns number

## Methods

### forSize

- forSize(width: number, height: number): ObjectDetection

- - Defined in classes/ObjectDetection.ts:46

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns ObjectDetection